#ifndef FFT_H
#define FFT_H

#include <gmp.h>
#include <mpc.h>
#include "params.h"

extern mpc_t zetas[N/2];
extern mpc_t zetas_inv[N/2];

void mpfft_init(void);
void mpfft(mpc_t r[N/2]);
void mpfft_inv(mpc_t r[N/2]);

#endif
